A. Answer
Last Updated: Feb 05, 2019     Views: 64

Library Basic Training requires the following:

  • Internet Explorer 8+, Edge, Firefox, Safari or Chrome
  • Pop-ups enabled (required to view the course completion certificate)

Please see the Library Basic Training page for technical requirements.